Subject: [bug#52744] Make GnuPG 2.2.32 available and remove emacs-pinentry

From: Leo Famulari <[email-masked]>
Date: Wed, 22 Dec 2021 18:59:03 -0500

As discussed in #52483 [0], our GnuPG package cannot do symmetric
encryption and decryption. However, we do have a hidden GnuPG package
that doesn't include this bug.

The first patch unhide that package, make the pinentry mechanism work on
Guix, and adjust the emacs-pinentry package to avoid needing to hide
this GnuPG variant in the first place.

The second patch removes emacs-pinentry entirely, because it is
apparently no longer useful and abandoned upstream.

[0]
https://issues.guix.gnu.org/52483